Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.image
Class Images

    java.lang.Object
      org.monte.media.image.Images

    public class Images

extends java.lang.Object

Image processing methods.

Version:
  2.2 2008-04-19 Create graphiteFilter lazily.
  2.1 2007-07-25 Added method toBufferedImage(RenderedImage).
  2.0 2006-12-24 by Karl von Randow: On the fly conversion from Aqua Blue to Aqua Graphite appearance added.
  1.0.2 2005-09-12 Brought my work-around for Java 1.4.1 back to live.
  1.0.1 2005-05-21 Accidentaly used bitmask transparency instead of translucent transparency.
  1.0 13 March 2005 Created.
Author:
  Werner Randelshofer, Karl von Randow

Method Summary
`static java.awt.image.BufferedImage` | `cloneImage(java.awt.image.RenderedImage rImg)` Clone the image.
`static java.awt.Image` | `createImage(java.lang.Class baseClass, java.lang.String location)`
`static java.awt.Image` | `createImage(java.net.URL resource)`
`static boolean` | `hasAlpha(java.awt.Image image)` This method returns true if the specified image has transparent pixels Code taken from the Java Developers Almanac 1.4 http://javaalmanac.com/egs/java.awt.image/HasAlpha.html
`static java.awt.image.BufferedImage[]` | `split(java.awt.Image image, int count, boolean isHorizontal)` Splits an image into count subimages.
`static java.awt.image.BufferedImage` | `toBufferedImage(java.awt.Image image)`
`static java.awt.image.BufferedImage` | `toBufferedImage(java.awt.image.RenderedImage rImg)` Converts the image to a buffered image.
`static java.awt.image.BufferedImage` | `toImage(int[] pixels, int width, int height)` Converts an array of integer pixels into an image.
`static java.awt.image.BufferedImage` | `toIntImage(java.awt.image.BufferedImage img)` Converts the image into a format that can be handled easier.
`static int[]` | `toPixels(java.awt.image.BufferedImage img)` Converts an image into an array of integer pixels.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createImage

    public static java.awt.Image createImage(java.lang.Class baseClass,
                                             java.lang.String location)

### createImage

    public static java.awt.Image createImage(java.net.URL resource)

### toBufferedImage

    public static java.awt.image.BufferedImage toBufferedImage(java.awt.image.RenderedImage rImg)

  Converts the image to a buffered image.

### cloneImage

    public static java.awt.image.BufferedImage cloneImage(java.awt.image.RenderedImage rImg)

  Clone the image.

### toBufferedImage

    public static java.awt.image.BufferedImage toBufferedImage(java.awt.Image image)

### hasAlpha

    public static boolean hasAlpha(java.awt.Image image)

  This method returns true if the specified image has transparent pixels Code taken from the Java Developers Almanac 1.4 http://javaalmanac.com/egs/java.awt.image/HasAlpha.html

### split

    public static java.awt.image.BufferedImage[] split(java.awt.Image image,
                                                       int count,
                                                       boolean isHorizontal)

  Splits an image into count subimages.

### toIntImage

    public static java.awt.image.BufferedImage toIntImage(java.awt.image.BufferedImage img)

  Converts the image into a format that can be handled easier.

### toPixels

    public static int[] toPixels(java.awt.image.BufferedImage img)

  Converts an image into an array of integer pixels. If the image has an integer data buffer, the internal pixel array is returned.

### toImage

    public static java.awt.image.BufferedImage toImage(int[] pixels,
                                                       int width,
                                                       int height)

  Converts an array of integer pixels into an image. The array is referenced by the image.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD